/*
 * Vout.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.api.result;

import java.math.BigDecimal;

import org.curewallet.lib.json.JsonMember;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class Vout {

	@JsonMember(name="value")
	private BigDecimal value = null;
	@JsonMember(name="n")
	private Long n = null;
	@JsonMember(name="scriptPubKey")
	private ScriptPubKey scriptPubKey = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public Vout() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return value
	 * @since 1.0
	 */
	public BigDecimal getValue() {
		return value;
	}

	/**
	 * @param value セットする value
	 * @since 1.0
	 */
	public void setValue(BigDecimal value) {
		this.value = value;
	}

	/**
	 * @return n
	 * @since 1.0
	 */
	public Long getN() {
		return n;
	}

	/**
	 * @param n セットする n
	 * @since 1.0
	 */
	public void setN(Long n) {
		this.n = n;
	}

	/**
	 * @return scriptPubKey
	 * @since 1.0
	 */
	public ScriptPubKey getScriptPubKey() {
		return scriptPubKey;
	}

	/**
	 * @param scriptPubKey セットする scriptPubKey
	 * @since 1.0
	 */
	public void setScriptPubKey(ScriptPubKey scriptPubKey) {
		this.scriptPubKey = scriptPubKey;
	}

	
}
